## org.apache.cassandra.db
Class ReadResponse

    java.lang.Object
      org.apache.cassandra.db.ReadResponse

    public class ReadResponse

extends java.lang.Object

Constructor Summary
`ReadResponse(byte[] digest)`
`ReadResponse(Row row)`

Method Summary
`byte[]` `digest()`
`boolean` `isDigestQuery()`
`Row` `row()`
`static ICompactSerializer<ReadResponse>` `serializer()`
`void` `setIsDigestQuery(boolean isDigestQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadResponse

    public ReadResponse(byte[] digest)

### ReadResponse

    public ReadResponse(Row row)

Method Detail

### serializer

    public static ICompactSerializer<ReadResponse> serializer()

### row

    public Row row()

### digest

    public byte[] digest()

### isDigestQuery

    public boolean isDigestQuery()

### setIsDigestQuery

    public void setIsDigestQuery(boolean isDigestQuery)

Copyright © 2010 The Apache Software Foundation